From 17cbe376872d8a0f579a0497942a5d2f19facaf5 Mon Sep 17 00:00:00 2001
From: Mikle Kolyada <zlogene@gentoo.org>
Date: Sun, 2 Sep 2018 17:20:03 +0300
Subject: [PATCH] Fix implicit declaration warnings

---
 libfprint/drivers/aes1610.c    | 2 ++
 libfprint/drivers/aes2501.c    | 2 ++
 libfprint/drivers/aes2550.c    | 2 ++
 libfprint/drivers/aesx660.c    | 2 ++
 libfprint/drivers/etes603.c    | 2 ++
 libfprint/drivers/upeksonly.c  | 2 ++
 libfprint/drivers/upektc.c     | 2 ++
 libfprint/drivers/upektc_img.c | 2 ++
 libfprint/drivers/upekts.c     | 2 ++
 libfprint/drivers/vfs0050.c    | 2 ++
 libfprint/drivers/vfs101.c     | 3 +++
 libfprint/drivers/vfs301.c     | 3 +++
 libfprint/drivers/vfs5011.c    | 2 ++
 13 files changed, 28 insertions(+)

diff --git a/libfprint/drivers/aes1610.c b/libfprint/drivers/aes1610.c
index f307a3b..9dc3383 100644
--- a/libfprint/drivers/aes1610.c
+++ b/libfprint/drivers/aes1610.c
@@ -25,6 +25,8 @@
 
 #define FP_COMPONENT "aes1610"
 
+#include <string.h>
+
 #include "drivers_api.h"
 #include "aeslib.h"
 
diff --git a/libfprint/drivers/aes2501.c b/libfprint/drivers/aes2501.c
index 87879a4..caaf3ea 100644
--- a/libfprint/drivers/aes2501.c
+++ b/libfprint/drivers/aes2501.c
@@ -23,6 +23,8 @@
 
 #define FP_COMPONENT "aes2501"
 
+#include <string.h>
+
 #include "drivers_api.h"
 #include "aeslib.h"
 #include "aes2501.h"
diff --git a/libfprint/drivers/aes2550.c b/libfprint/drivers/aes2550.c
index ab4acaa..c838e54 100644
--- a/libfprint/drivers/aes2550.c
+++ b/libfprint/drivers/aes2550.c
@@ -23,6 +23,8 @@
 
 #define FP_COMPONENT "aes2550"
 
+#include <string.h>
+
 #include "drivers_api.h"
 #include "aes2550.h"
 #include "aeslib.h"
diff --git a/libfprint/drivers/aesx660.c b/libfprint/drivers/aesx660.c
index e443e21..17c0245 100644
--- a/libfprint/drivers/aesx660.c
+++ b/libfprint/drivers/aesx660.c
@@ -23,6 +23,8 @@
 
 #define FP_COMPONENT "aesX660"
 
+#include <string.h>
+
 #include "drivers_api.h"
 #include "aeslib.h"
 #include "aesx660.h"
diff --git a/libfprint/drivers/etes603.c b/libfprint/drivers/etes603.c
index fdaf7f2..0782f9e 100644
--- a/libfprint/drivers/etes603.c
+++ b/libfprint/drivers/etes603.c
@@ -35,6 +35,8 @@
 
 #define FP_COMPONENT "etes603"
 
+#include <string.h>
+
 #include "drivers_api.h"
 #include "driver_ids.h"
 
diff --git a/libfprint/drivers/upeksonly.c b/libfprint/drivers/upeksonly.c
index 9cccb86..e035408 100644
--- a/libfprint/drivers/upeksonly.c
+++ b/libfprint/drivers/upeksonly.c
@@ -25,6 +25,8 @@
 
 #define FP_COMPONENT "upeksonly"
 
+#include <string.h>
+
 #include "drivers_api.h"
 #include "upeksonly.h"
 
diff --git a/libfprint/drivers/upektc.c b/libfprint/drivers/upektc.c
index ffa31f3..e4d7de5 100644
--- a/libfprint/drivers/upektc.c
+++ b/libfprint/drivers/upektc.c
@@ -20,6 +20,8 @@
 
 #define FP_COMPONENT "upektc"
 
+#include <string.h>
+
 #include "drivers_api.h"
 #include "upektc.h"
 
diff --git a/libfprint/drivers/upektc_img.c b/libfprint/drivers/upektc_img.c
index f0f2f18..a500623 100644
--- a/libfprint/drivers/upektc_img.c
+++ b/libfprint/drivers/upektc_img.c
@@ -19,6 +19,8 @@
 
 #define FP_COMPONENT "upektc_img"
 
+#include <string.h>
+
 #include "drivers_api.h"
 #include "aeslib.h"
 #include "upektc_img.h"
diff --git a/libfprint/drivers/upekts.c b/libfprint/drivers/upekts.c
index b448e36..1094e66 100644
--- a/libfprint/drivers/upekts.c
+++ b/libfprint/drivers/upekts.c
@@ -27,6 +27,8 @@
 
 #define FP_COMPONENT "upekts"
 
+#include <string.h>
+
 #include "drivers_api.h"
 
 #define EP_IN (1 | LIBUSB_ENDPOINT_IN)
diff --git a/libfprint/drivers/vfs0050.c b/libfprint/drivers/vfs0050.c
index dcf5d69..60a720e 100644
--- a/libfprint/drivers/vfs0050.c
+++ b/libfprint/drivers/vfs0050.c
@@ -19,6 +19,8 @@
 
 #define FP_COMPONENT "vfs0050"
 
+#include <string.h>
+
 #include "drivers_api.h"
 #include "vfs0050.h"
 
diff --git a/libfprint/drivers/vfs101.c b/libfprint/drivers/vfs101.c
index 3304b1f..473adf2 100644
--- a/libfprint/drivers/vfs101.c
+++ b/libfprint/drivers/vfs101.c
@@ -19,6 +19,9 @@
 
 #define FP_COMPONENT "vfs101"
 
+#include <stdlib.h>
+#include <string.h>
+
 #include "drivers_api.h"
 
 /* Input-Output usb endpoint */
diff --git a/libfprint/drivers/vfs301.c b/libfprint/drivers/vfs301.c
index a34ee31..6f52316 100644
--- a/libfprint/drivers/vfs301.c
+++ b/libfprint/drivers/vfs301.c
@@ -21,6 +21,9 @@
 
 #define FP_COMPONENT "vfs301"
 
+#include <stdlib.h>
+#include <string.h>
+
 #include "drivers_api.h"
 #include "vfs301_proto.h"
 
diff --git a/libfprint/drivers/vfs5011.c b/libfprint/drivers/vfs5011.c
index 8b460ac..1355394 100644
--- a/libfprint/drivers/vfs5011.c
+++ b/libfprint/drivers/vfs5011.c
@@ -18,6 +18,8 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
  */
 
+#include <string.h>
+
 #include "drivers_api.h"
 #include "vfs5011_proto.h"
 
-- 
2.16.4
